--[[
Vignette Animations

--]]

-------------------
if ghf.SceneVignette == nil then
	ghf.SceneVignette = {superclass = ghf.Dialog}
end

-------------------
-- print("\nSunsetStudios2Vignettes.lua " .. os.date("%H:%M %d %b %Y"))
-------------------

-------------------

-------------------

function startText(aVignette, aLabelName, aTextID)
	local label = aVignette:child(aLabelName)
	label:setTextID(aTextID)
		
	label:animate({visible=true, alpha=1.0, duration=300})
end


function endText(aVignette, aLabelName)
	aVignette:child(aLabelName):animate({alpha=0.0, duration=300})
end


function doVignette_0(aVignette)	-- opening pan
	print( "doVignette_0" )
	-- most of the opening pan is done via c++, but we handle the voice and text here for consistency

	-- do all the text and voice stuff
	aVignette:animate(
		{delay=7000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_0_0_1") end},
		{playAndWait = "VO_0_0:OpeningPan"},	
		{delay=500},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_0_0_2") end},
		{playAndWait = "VO_0_0_1:OpeningPan"},	
		{delay=500},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_0_0_3") end},
		{playAndWait = "VO_0_0_3:OpeningPan"},	
		{delay=500},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_0_0_4") end},
		{playAndWait = "VO_0_0_4:OpeningPan"},	
		{delay=500},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=750},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_0_1") end},
		{playAndWait = "VO_0_1:OpeningPan"},	
		{delay=500},
		{call=function() endText(aVignette, "LABEL_TEXT") end}
	)
end
-- End of Vignette 0


-- Vignette 1
function doVignette_1(aVignette)
	print( "doVignette_1" )

	-- create objects
	local	bg_1 = aVignette:newChildSprite({scale= 2.5, x = 300, y = 410, image = "BG_01", section = "vignette_1", name = "beach", anchorpoint="center"})
	local	bg_2 = aVignette:newChildSprite({alpha=0.0, scale=3.0, x = 381, y = 337, image = "BG_02", section = "vignette_1", name = "docks", anchorpoint="center"})
	local	obj_1 = aVignette:newChildSprite({alpha=0.0, x = 488, y = 268, image = "ITEM_01", section = "vignette_1", name = "object_1", anchorpoint="center"})
	local	obj_2 = aVignette:newChildSprite({alpha=0.0, x = 300, y = 650, image = "BG_02", section = "vignette_1", name = "object_2", anchorpoint="center"})

	-- set up z-order so everything is visible
	bg_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )

	-- slide the background
	---scene 1
	bg_1:animate(	{dx=200, duration=30000, style = "easeInOut"})
	obj_1:animate(	{delay=0},
					{alpha=1.0, duration=5000},
					{alpha=0.0, duration=5000}   )
	obj_1:animate(	{delay=0},
					{dx=-100, duration=8000}  )
	--scene2
	bg_2:animate(	{delay=6000},
					{alpha=1.0, duration=1500, scale=3.0, style = "easeIn"},
					{scale=3.5, duration=18000}  )
	obj_2:animate(	{delay=0},
					{alpha=0.0, duration=2000},
					{alpha=0.0, duration=2000}   )

	-- do all the text and voice stuff
	aVignette:animate(
		{delay=300},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_1_0") end},
		{playAndWait = "VO_1_0:vignette_1"},	
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=300},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_1_1") end},
		{playAndWait = "VO_1_1:vignette_1"},	
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=300},
		{call=function() aVignette:endVignette() end}
	)

end
-- End of Vignette 1

-- Vignette 2
function doVignette_2(aVignette)
	print( "doVignette_2" )

--ghf.completeAnimations()

	-- create objects
	--backgrounds
	local	bg_1 = aVignette:newChildSprite({scale= 2.5, x = 300, y = 410, image = "BG_02", section = "vignette_2", name = "docks", anchorpoint="center"})
	local	bg_2 = aVignette:newChildSprite({alpha=0.0, scale= 3.0, x = 400, y = 400, image = "BG_03", section = "vignette_2", name = "caves", anchorpoint="center"})
	local	bg_3 = aVignette:newChildSprite({alpha=0.0, scale= 2.5, x = 400, y = 300, image = "BG_01", section = "vignette_2", name = "beach", anchorpoint="center"})

	--items
	local	obj_1 = aVignette:newChildSprite({alpha=0.0, x = 488, y = 268, image = "ITEM_01", section = "vignette_2", name = "photo", anchorpoint="center"})
	local	obj_2 = aVignette:newChildSprite({alpha=0.0, x = 350, y =250, image = "ITEM_02", section = "vignette_2", name = "specs", anchorpoint="center"})

	-- set up z-order so everything is visible
	bg_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_3:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )

	-- slide the background
	bg_1:animate({dx=200, duration=10000, style = "easeInOut"})
	obj_1:animate(	{delay=0},
					{alpha=1.0, duration=3000},
					{delay=3000},
					{alpha=0.0, duration=2000}   )
	obj_1:animate(	{delay=0},
					{dx=-100, duration=14000}  )
	--scene2
	bg_3:animate(	{delay=9000},
					{alpha=1.0, dx=-2, duration=2000, style = "easeInOut"},
					{scale=2.25, dx=50, duration=8000, style = "easeInOut"}  )
	--scene3
	bg_2:animate(	{delay=18000},
					{alpha=1.0, duration=2000, style = "easeIn"},
					{scale= 3.5, dx=-198, duration=18000, style = "easeOut"}  )
	obj_2:animate(	{delay=18000},
					{alpha=1.0, dx=50, duration=2000},
					{dx=50, duration=4000},
					{alpha=0.0, duration=3000} )

	-- do all the text and voice stuff
	aVignette:animate(
		{delay=300},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_2_0") end},
		{playAndWait = "VO_2_0:vignette_2"},	
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=900},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_2_1") end},
		{playAndWait = "VO_2_1:vignette_2"},	
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=900},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_2_2") end},
		{playAndWait = "VO_2_2:vignette_2"},	
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=300},
		{call=function() aVignette:endVignette() end}
	)
			
end
-- End of Vignette 2

-- Vignette 3
function doVignette_3(aVignette)
	print( "doVignette_3" )

--	ghf.completeAnimations()
	
	-- create objects
	--backgrounds
	local	bg_1 = aVignette:newChildSprite({scale=2.5, x = -13, y = 36, image = "BG_01", section = "vignette_3", name = "docks", anchorpoint="topleft"})
	local	bg_2 = aVignette:newChildSprite({alpha=0.0, scale=1.0, x = 0, y = 291, image = "BG_02", section = "vignette_3", name = "boatlid", anchorpoint="left"})
	local	bg_3 = aVignette:newChildSprite({alpha=0.0, scale= 3.0, x = 400, y = 300, image = "BG_03", section = "vignette_3", name = "shipwreck", anchorpoint="center"})
	--items
	local	obj_1 = aVignette:newChildSprite({alpha=0.0, x = 313, y = 257, image = "ITEM_01", section = "vignette_3", name = "GPS", anchorpoint="center"})

	-- set up z-order so everything is visible
	bg_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_3:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )

	--scene 1
	-- slide the background
	bg_1:animate(	{scale=2.036, dx= 13, dy=-5, duration=10000, style = "easeInOut"})
	--Scene 2
	--slide the background to focus on hatch
	bg_2:animate(	{delay=5500},
					{alpha=1.0, duration=1500, style = "easeIn"},
					{scale=1.288, duration=10000, style="easeInOut"}  ) -- dx=-47, dy= 76
	---scene3
	bg_3:animate(	{delay=13800},
					{alpha=1.0, dx=-2, duration=1000, style = "easeInOut"},
					{scale= 2.5, duration=8000, style = "easeInOut"}  )
	obj_1:animate(	{delay=14100},
					{alpha=1.0, dx=50, duration=4000},
					{dx=100, duration=8000},
					{alpha=0.0, duration=3000} )

	-- do all the text and voice stuff
	aVignette:animate(
		{delay=300},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_3_0") end},
		{playAndWait = "VO_3_0:vignette_3"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=800},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_3_1") end},
		{playAndWait = "VO_3_1:vignette_3"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=800},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_3_2") end},
		{playAndWait = "VO_3_2:vignette_3"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1000},
		{call=function() aVignette:endVignette() end}
	)

end
-- End of Vignette 3

-- Vignette 4
function doVignette_4(aVignette)
	print( "doVignette_3" )

--	ghf.completeAnimations()
	
	-- create objects
	---backgrounds
	local	bg_1 = aVignette:newChildSprite({scale=2.5, x = 301, y = 282, image = "BG_01", section = "vignette_4", name = "unioffice", anchorpoint="center"})
	local	bg_2 = aVignette:newChildSprite({alpha=0.0, scale=2.5, x = 400, y = 300, image = "BG_02", section = "vignette_4", name = "ship", anchorpoint="center"})
	local	bg_3 = aVignette:newChildSprite({alpha=0.0, scale=2.5, x = 400, y = 300, image = "BG_03", section = "vignette_4", name = "invent", anchorpoint="center"})
	local	bg_4 = aVignette:newChildSprite({alpha=0.0, scale=4.0, x = 752, y = 300, image = "BG_04", section = "vignette_4", name = "science", anchorpoint="center"})
	---Items
	local	obj_1_1 = aVignette:newChildSprite({alpha=0.0, scale= .862, rotation= 3.2, x = 450, y = 207, image = "ITEM_01_1", section = "vignette_4", name = "photos7", anchorpoint="center"})
	local	obj_1_2 = aVignette:newChildSprite({alpha=0.0, rotation= -3.5, x = 274, y = 368, image = "ITEM_01_2", section = "vignette_4", name = "diploma", anchorpoint="center"})
	local	obj_2 = aVignette:newChildSprite({alpha=0.0, scale=.8, x = 408, y = 288, image = "ITEM_02", section = "vignette_4", name = "planetix", anchorpoint="center"})
	local	obj_3_1 = aVignette:newChildSprite({alpha=0.0, scale=.86, rotate=-5, x = 743, y = 482, image = "ITEM_03_1", section = "vignette_4", name = "brochure", anchorpoint="bottomright"})
	local	obj_3_2 = aVignette:newChildSprite({alpha=0.0, scale=.815, rotation=-4.1, x = 57, y = 77, image = "ITEM_03_2", section = "vignette_4", name = "topsecret", anchorpoint="topleft"})
	local	obj_3_3 = aVignette:newChildSprite({alpha=0.0, scale= .79, rotation=-5, x = 216, y = 363, image = "ITEM_03_3", section = "vignette_4", name = "drawing", anchorpoint="center"})
	local	obj_4 = aVignette:newChildSprite({alpha=0.0, scale=.75, rotation=11, x = 556, y = 216, image = "ITEM_04", section = "vignette_4", name = "rubbing", anchorpoint="center"})

	-- set up z-order so everything is visible
	bg_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_1_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_1_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_3:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_3_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_3_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_4:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_4:moveBehind( scene:child("CINEMATICBORDER_TOP") )
		obj_3_3:moveBehind( scene:child("CINEMATICBORDER_TOP") )

	-- slide the background
	--scene 1
	bg_1:animate(	{dx=200, duration=20000, style = "easeInOut"})
	obj_1_1:animate({delay=850},
					{alpha=1.0,dx=5, duration=1800, style= "easeIn"},
					{dx=60, duration=8200},
					{alpha=0.0, duration=5000}  )
	obj_1_2:animate({delay=1800},
					{alpha=1.0,dx=-5, duration=1800, style= "easeIn"},
					{dx=-30, duration=8200},
					{alpha=0.0, duration=5000}  )
	---scene2
	bg_2:animate(	{delay=10000},
					{alpha=1.0, duration=500},
					{scale=2.05, duration=18000, style = "easeInOut"})
	obj_2:animate({delay=10000},
					{alpha=1.0,scale=.82, duration=1800, style= "easeIn"},
					{scale=1.05, duration=10200},
					{alpha=0.0, duration=5000}  )
	--scene3
	bg_3:animate(	{delay=19000},
					{alpha=1.0, duration=500},
					{dx=100, duration=24000, style = "easeInOut"})
	obj_3_1:animate({delay=21500},
					{alpha=1.0, duration=1800, style= "easeIn"},
					{scale=1.05, rotate= -5, duration=15200},
					{alpha=0.0, duration=3000}  )
	obj_3_2:animate({delay=19500},
					{alpha=1.0, duration=1800, style= "easeIn"},
					{scale=1.05, rotate= -5, duration=15200},
					{alpha=0.0, duration=3000}  )
	--scene4
	bg_4:animate(	{delay=29000},
					{alpha=1.0, duration=500},
					{scale=3.0, duration=30000, style = "easeInOut"})
	obj_4:animate({delay=29300},
					{alpha=1.0,scale=.75, duration=1800, style= "easeIn"},
					{scale=1, duration=19200},
					{alpha=0.0, duration=5000}  )
	obj_3_3:animate({delay=30000},
					{alpha=1.0,scale=.83, duration=2800, style= "easeIn"},
					{scale=1, duration=17200},
					{alpha=0.0, duration=5000}  )

	-- do all the text and voice stuff
	aVignette:animate(
		{delay=1000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_4_0") end},
		{playAndWait = "VO_4_0:vignette_4"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1500},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_4_1") end},
		{playAndWait = "VO_4_1:vignette_4"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_4_2") end},
		{playAndWait = "VO_4_2:vignette_4"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_4_3") end},
		{playAndWait = "VO_4_3:vignette_4"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=900},
		{call=function() aVignette:endVignette() end}
	)

end
-- End of Vignette 4

-- Vignette 5
function doVignette_5(aVignette)
	print( "doVignette_5" )

--ghf.completeAnimations()

	-- create objects
	---background
	local	bg_1 = aVignette:newChildSprite({scale= 2.5, x = 396, y = 252, image = "BG_01", section = "vignette_5", name = "unilab", anchorpoint="center"})
	local	bg_2 = aVignette:newChildSprite({alpha=0.0, scale=3.0, x = 802, y = 43, image = "BG_02", section = "vignette_5", name = "waterfall", anchorpoint="topright"})
	---items
	local	obj_1 = aVignette:newChildSprite({alpha=0.0,scale=.8, x = 409, y = 262, image = "ITEM_01", section = "vignette_5", name = "combinedrubbing", anchorpoint="center"})
	local	obj_2_1 = aVignette:newChildSprite({alpha=0.0, x = 596, y = 351, image = "ITEM_02_1", section = "vignette_5", name = "recording", anchorpoint="center"})
	local	obj_2_2 = aVignette:newChildSprite({alpha=0.0, x = 492, y = 265, scale=.68, image = "ITEM_02_2", section = "vignette_5", name = "disaster", anchorpoint="center"})

	-- set up z-order so everything is visible
	bg_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_2_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_2_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )

	-- slide the background
	--scene1
	bg_1:animate(	{delay=100},
					{alpha=1.0, duration=500},
					{scale=2.05, duration=18000, style = "easeInOut"})
	obj_1:animate({delay=200},
					{alpha=1.0,scale=.82, duration=1800, style= "easeIn"},
					{scale=1.05, duration=10200},
					{alpha=0.0, duration=5000}  )

	--scene2
	bg_2:animate(	{delay=10000},
					{alpha=1.0, duration=500},
					{dx=100, duration=18000, style = "easeInOut"})
	obj_2_2:animate(	{delay=11000},
					{alpha=1.0,scale=.7,dx=-8, duration=1800, style= "easeIn"},
					{scale=1.05,dx=-92, duration=15200},
					{alpha=0.0, duration=10000}  )

	-- do all the text and voice stuff
	aVignette:animate(
		{delay=900},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_5_0") end},
		{playAndWait = "VO_5_0:vignette_5"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=950},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_5_1") end},
		{playAndWait = "VO_5_1:vignette_5"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=300},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_5_2") end},
		{playAndWait = "VO_5_2:vignette_5"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=300},
		{call=function() aVignette:endVignette() end}
	)
			
end
-- End of Vignette 5

-- Vignette 6
function doVignette_6(aVignette)
	print( "doVignette_6" )

--	ghf.completeAnimations()

	-- create objects
	local	bg_1 = aVignette:newChildSprite({scale= 2.25, x = 447, y = 334, image = "BG_01", section = "vignette_6", name = "living", anchorpoint="center"})
	local	bg_2 = aVignette:newChildSprite({alpha=0.0, scale= 2.25, x = 381, y = 337, image = "BG_02", section = "vignette_6", name = "waterfall", anchorpoint="center"})
	local	bg_3 = aVignette:newChildSprite({alpha=0.0, scale= 3.0, x = 397, y = 48, image = "BG_03", section = "vignette_6", name = "ruins", anchorpoint="top"})

	local	obj_1 = aVignette:newChildSprite({alpha=0.0,scale=.77, x = 292, y = 258, image = "ITEM_01", section = "vignette_6", name = "badge", anchorpoint="center"})
	local	obj_2 = aVignette:newChildSprite({alpha=0.0, scale= .593, x = 389, y = 360, image = "ITEM_02", section = "vignette_6", name = "lid", anchorpoint="bottom"})
	local	obj_3_1 = aVignette:newChildSprite({alpha=0.0, x = 530, y = 286, image = "ITEM_03_1", section = "vignette_6", name = "Canister", anchorpoint="center"})
	local	obj_3_2 = aVignette:newChildSprite({alpha=0.0, scale=1, x = 386, y = 267, image = "ITEM_03_2", section = "vignette_6", name = "fragments", anchorpoint="bottomright"})

	-- set up z-order so everything is visible
	bg_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_3:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_3_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_3_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )

-- scene1
	bg_1:animate(	{dx=-90, duration=30000, style = "easeInOut"})
	obj_1:animate(	{delay=100},
					{alpha=1.0,scale=.82,dx=8, duration=1800, style= "easeIn"},
					{scale=1.0,dx=92, duration=10200},
					{alpha=0.0, duration=10000}  )
--scene2
	bg_2:animate(	{delay=8000},
					{alpha=1.0, duration=1000},
					{dx=93, duration=18000, style = "easeInOut"})
	obj_2:animate({delay=8500},
					{alpha=1.0,scale=.6, duration=1800, style= "easeIn"},
					{scale=1.05, duration=18200},
					{alpha=0.0, duration=100}  )
--scene3
	bg_3:animate(	{delay=15500},
					{alpha=1.0, duration=1000},
					{scale=2.19, duration=18000, style = "easeInOut"})
	obj_3_1:animate(	{delay=16200},
					{alpha=1.0, dx=-2, duration=1800},
					{dx=-48, duration= 19200, style = "easeInOut"})
	obj_3_2:animate(	{delay=16500},
					{alpha=1.0, scale=1.02, duration=1800},
					{dx=50, scale=2.0, duration= 19200, style = "easeInOut"})

	-- do all the text and voice stuff
	aVignette:animate(
		{delay=500},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_6_0") end},
		{playAndWait = "VO_6_0:vignette_6"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_6_1") end},
		{playAndWait = "VO_6_1:vignette_6"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=2000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_6_2") end},
		{playAndWait = "VO_6_2:vignette_6"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1500},
		{call=function() aVignette:endVignette() end}
	)
			
end
-- End of Vignette 6lrlr

-- Vignette 7
function doVignette_7(aVignette)
	print( "doVignette_7" )

--	ghf.completeAnimations()

	-- create objects
	local	bg_1 = aVignette:newChildSprite({scale= 2.5, x = 406, y = 0, image = "BG_01", section = "vignette_7", name = "ship", anchorpoint="top"})
	local	bg_2 = aVignette:newChildSprite({alpha=0.0, scale= 2.25, x = 446, y = 300, image = "BG_02", section = "vignette_7", name = "science", anchorpoint="center"})
	local	bg_3 = aVignette:newChildSprite({alpha=0.0, scale= 2.25, x = 800, y = 39, image = "BG_03", section = "vignette_7", name = "condo", anchorpoint="topright"})

	local	obj_1 = aVignette:newChildSprite({alpha=0.0, scale= .8, x = 400, y = 253, image = "ITEM_01", section = "vignette_7", name = "tablet", anchorpoint="center"})
	local	obj_2 = aVignette:newChildSprite({alpha=0.0, scale= .749,  x = 436, y = 267, image = "ITEM_02", section = "vignette_7", name = "phototablet", anchorpoint="center"})
	local	obj_3_1 = aVignette:newChildSprite({alpha=0.0, x = 604, y = 203, image = "ITEM_03_1", section = "vignette_7", name = "cellphone", anchorpoint="center"})
	local	obj_3_2= aVignette:newChildSprite({alpha=0.0, x = 250, y = 315, image = "ITEM_03_2", section = "vignette_7", name = "invite", anchorpoint="center"})

	-- set up z-order so everything is visible x = 462, y = 203
	bg_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_3:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_3_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_3_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )

--scene 1
	bg_1:animate({scale=2.04, duration=18000, style = "easeInOut"})
	obj_1:animate({delay=0},
					{alpha=1.0,scale=.82, duration=1800, style= "easeIn"},
					{scale=1.05, duration=18200},
					{alpha=0.0, duration=100}  )
--scene2
	bg_2:animate({delay=12000},
					{alpha=1.0,dx=-8, duration=1800, style= "easeIn"},
					{dx=-82, duration=30000, style = "easeInOut"})
	obj_2:animate(	{delay=12500},
					{alpha=1.0,scale=.76,dx=8, duration=1800, style= "easeIn"},
					{scale=1.05, duration=10200},
					{alpha=0.0, duration=3000}  )
--scene 3
	bg_3:animate({delay=18500},
					{alpha=1.0,scale=2.23, duration=1800, style= "easeIn"},
					{scale=2.01, duration=15200, style = "easeInOut"})
	obj_3_1:animate({delay=19500},
					{alpha=1.0,dx=-2, duration=1800, style= "easeIn"},
					{dx=-70, duration=18200},
					{alpha=0.0, duration=100}  )
	obj_3_2:animate({delay=23500},
					{alpha=1.0,dx=2, duration=1800, style= "easeIn"},
					{dx=78, duration=18200},
					{alpha=0.0, duration=100}  )

	-- do all the text and voice stuff
	aVignette:animate(
		{delay=500},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_7_0") end},
		{playAndWait = "VO_7_0:vignette_7"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_7_1") end},
		{playAndWait = "VO_7_1:vignette_7"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=2000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_7_2") end},
		{playAndWait = "VO_7_2:vignette_7"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=300},
		{call=function() aVignette:endVignette() end}
	)
			
end
-- End of Vignette 7

-- Vignette 8
function doVignette_8(aVignette)
	print( "doVignette_8" )

--	ghf.completeAnimations()
	
	-- create objects
	local	bg_1 = aVignette:newChildSprite({scale=2.25, x = 800, y = 45, image = "BG_01", section = "vignette_8", name = "background", anchorpoint="topright"})
	local	bg_2 = aVignette:newChildSprite({alpha=0.0, scale=3.0, x = 400, y = 300, image = "BG_02", section = "vignette_8", name = "background", anchorpoint="center"})
	local	bg_3 = aVignette:newChildSprite({alpha=0.0, scale=2.25, x = 446, y = 370, image = "BG_03", section = "vignette_8", name = "background", anchorpoint="center"})
	
	local	obj_1_1 = aVignette:newChildSprite({alpha=0.0, scale=.855, x = 251, y = 307, image = "ITEM_01_1", section = "vignette_8", name = "report1", anchorpoint="center"})
	local	obj_1_2 = aVignette:newChildSprite({alpha=0.0, scale=.854, x = 568, y = 263, image = "ITEM_01_2", section = "vignette_8", name = "report2", anchorpoint="center"})
	local	obj_2 = aVignette:newChildSprite({alpha=0.0, scale=.821, x = 414, y = 270, image = "ITEM_02", section = "vignette_8", name = "evac", anchorpoint="center"})
	local	obj_3_1 = aVignette:newChildSprite({alpha=0.0, scale=.83, rotate= -16.7, x = 216, y = 295, image = "ITEM_03_1", section = "vignette_8", name = "ID", anchorpoint="center"})
	local	obj_3_3 = aVignette:newChildSprite({alpha=0.0, scale=.85, x = 412, y = 255, image = "ITEM_03_2", section = "vignette_8", name = "cook", anchorpoint="center"})
	local	obj_3_2 = aVignette:newChildSprite({alpha=0.0, rotate=14.1, x = 609, y = 308, image = "ITEM_03_3", section = "vignette_8", name = "food", anchorpoint="center"})

	-- set up z-order so everything is visible
	bg_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_1_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_1_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_3:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_3_3:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_3_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_3_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	
--scene 1
	bg_1:animate({delay=100},
					{scale=2.04, duration=20000, style = "easeInOut"})
	obj_1_1:animate({delay=500},
					{alpha=1.0,dx=2, duration=1800, style= "easeIn"},
					{dx=50, duration=18200},
					{alpha=0.0, duration=100}  )
	obj_1_2:animate({delay=500},
					{alpha=1.0,dx=2, duration=1800, style= "easeIn"},
					{dx=-70, duration=18200},
					{alpha=0.0, duration=100}  )
	---scene2
	bg_2:animate(	{delay=10500},
					{alpha=1.0,scale=2.98, duration=1800, style= "easeIn"},
					{scale=2.05, duration=13200})
	obj_2:animate({delay=11500},
					{alpha=1.0,scale=.85, duration=1800, style= "easeIn"},
					{scale=1.05, duration=10200},
					{alpha=0.0, duration=5000}  )
--scene3
	bg_3:animate({delay=24500},
					{alpha=1.0,dx=-2, duration=1800, style= "easeIn"},
					{dx=-88, duration=18200})
	obj_3_1:animate({delay=25500},
					{alpha=1.0, duration=1500, style= "easeIn"})
	obj_3_2:animate({delay=25500},
					{alpha=1.0, duration=2000, style= "easeIn"})
	obj_3_3:animate({delay=26000},
					{alpha=1.0, duration=2500, style= "easeIn"})

	-- do all the text and voice stuff
	aVignette:animate(
		{delay=500},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_8_0") end},
		{playAndWait = "VO_8_0:vignette_8"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1500},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_8_1") end},
		{playAndWait = "VO_8_1:vignette_8"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_8_2") end},
		{playAndWait = "VO_8_2:vignette_8"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1500},
		{call=function() aVignette:endVignette() end}
	)
			
end
-- End of Vignette 8

-- Vignette 9
function doVignette_9(aVignette)
	print( "doVignette_9" )

--	ghf.completeAnimations()

	local	bg_1 = aVignette:newChildSprite({scale=2.5, x = 300, y = 410, image = "BG_01", section = "vignette_9", name = "office", anchorpoint="center"})
	local	bg_2 = aVignette:newChildSprite({alpha=0.0, scale=2.5, x = 400, y = 47, image = "BG_02", section = "vignette_9", name = "plane", anchorpoint="top"})
	local	bg_3 = aVignette:newChildSprite({alpha=0.0, scale=2.5, x = 408, y = 47, image = "BG_03", section = "vignette_9", name = "science", anchorpoint="top"})

	local	obj_1_1 = aVignette:newChildSprite({alpha=0.0, scale= .911, rotation= -11.4, x = 262, y = 217, image = "ITEM_01_1", section = "vignette_9", name = "newspaper", anchorpoint="center"})
	local	obj_1_2 = aVignette:newChildSprite({alpha=0.0, scale= .702, rotation= 21.5, x = 568, y = 206, image = "ITEM_01_2", section = "vignette_9", name = "folders", anchorpoint="center"})
	local	obj_1_3 = aVignette:newChildSprite({alpha=0.0, scale= .745, rotation= 4.7, x = 414, y = 358, image = "ITEM_01_3", section = "vignette_9", name = "rubbing", anchorpoint="center"})
	local	obj_2 = aVignette:newChildSprite({alpha=0.0, scale= .686, x = 402, y = 393, image = "ITEM_02", section = "vignette_9", name = "blackbox", anchorpoint="bottom"})
	local	obj_3_1 = aVignette:newChildSprite({alpha=0.0, x = 672, y = 336, image = "ITEM_03_1", section = "vignette_9", name = "sedative", anchorpoint="center"})
	local	obj_3_2 = aVignette:newChildSprite({alpha=0.0,  x = 551, y = 301, image = "ITEM_03_2", section = "vignette_9", name = "logbook", anchorpoint="center"})
	local	obj_3_3 = aVignette:newChildSprite({alpha=0.0, scale= .827, rotation= -7.5,  x = 240, y = 206, image = "ITEM_03_3", section = "vignette_9", name = "tickets", anchorpoint="center"})

	-- set up z-order so everything is visible
	bg_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_1_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_1_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_1_3:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_3:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_3_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_3_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_3_3:moveBehind( scene:child("CINEMATICBORDER_TOP") )


	-- scene1
	bg_1:animate({alpha=1.0,dx=200, duration=20000, style= "easeIn"})
	obj_1_1:animate({delay=300},
					{alpha=1.0, duration=1500, style= "easeIn"},
					{delay=15000},
					{alpha=0.0, duration=100}  )
	obj_1_2:animate({delay=3000},
					{alpha=1.0, duration=2000, style= "easeIn"},
					{delay=15000},
					{alpha=0.0, duration=100}  )
	obj_1_3:animate({delay=4000},
					{alpha=1.0, duration=2500, style= "easeIn"},
					{delay=15000},
					{alpha=0.0, duration=100}  )
	--scene2
	bg_2:animate({delay=8500},
					{alpha=1.0, scale= 2.48, duration=1800, style= "easeIn"},
					{scale=2.25, duration=18200, style = "easeInOut"})
	obj_2:animate({delay=9000},
					{alpha=1.0,scale=.70, duration=1800, style= "easeIn"},
					{scale=1.05, duration=18200},
					{alpha=0.0, duration=100}  )
	--scene3
	bg_3:animate({delay=18500},
					{alpha=1.0, scale= 2.48, duration=1800, style= "easeIn"},
					{scale=2.05, duration=18200, style = "easeInOut"})
	obj_3_1:animate({delay=19500},
					{alpha=1.0,dx=-2, duration=1800, style= "easeInOut"},
					{dx=-48, duration=18200},
					{alpha=0.0, duration=100}  )
	obj_3_2:animate({delay=19000},
					{alpha=1.0, dx=2, duration=1800, style= "easeInOut"},
					{dx=20, duration=20200},
					{alpha=0.0, duration=100}  )
	obj_3_3:animate({delay=24000},
					{alpha=1.0, dx=2, duration=1800, style= "easeInOut"},
					{dx=48, duration=18200},
					{alpha=0.0, duration=100}  )

	-- do all the text and voice stuff
	aVignette:animate(
		{delay=800},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_9_0") end},
		{playAndWait = "VO_9_0:vignette_9"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_9_1") end},
		{playAndWait = "VO_9_1:vignette_9"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1200},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_9_2") end},
		{playAndWait = "VO_9_2:vignette_9"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1500},
		{call=function() aVignette:endVignette() end}
	)
			
end
-- End of Vignette 9

-- Vignette 10
function doVignette_10(aVignette)
	print( "doVignette_10" )

--	ghf.completeAnimations()
	local	bg_1 = aVignette:newChildSprite({scale=2.02, x = 400, y = 257, image = "BG_01", section = "vignette_10", name = "temple", anchorpoint="center"})
	local	bg_2 = aVignette:newChildSprite({alpha=0.0, scale=2.64, x = 804, y = 324, image = "BG_02", section = "vignette_10", name = "door", anchorpoint="right"})
	local	bg_3 = aVignette:newChildSprite({alpha=0.0, scale=2.5, x = 500, y = 225, image = "BG_03", section = "vignette_10", name = "science", anchorpoint="center"})

	local	obj_1 = aVignette:newChildSprite({alpha=0.0, scale= 1.28, x = 388, y = 274, image = "ITEM_01", section = "vignette_10", name = "cache_note", anchorpoint="center"})
	local	obj_2 = aVignette:newChildSprite({alpha=0.0, scale= .808, x = 408, y = 275, image = "ITEM_02", section = "vignette_10", name = "walkie", anchorpoint="center"})
	local	obj_3 = aVignette:newChildSprite({alpha=0.0, x = 434, y = 267, image = "ITEM_03_2", section = "vignette_10", name = "faint_rubbing", anchorpoint="center"})

	-- set up z-order so everything is visible
	bg_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_3:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_3:moveBehind( scene:child("CINEMATICBORDER_TOP") )

--scene1
	bg_1:animate({scale=2.04, duration=18000, style = "easeInOut"})
	obj_1:animate({delay=300},
					{alpha=1.0,scale=1.26, duration=1800, style= "easeIn"},
					{scale=1, duration=18200},
					{alpha=0.0, duration=100}  )
--scene 2
	bg_2:animate({delay=6500},
					{alpha=1.0, scale= 2.62, duration=1800, style= "easeIn"},
					{scale=2.02, duration=18200, style = "easeInOut"})
	obj_2:animate({delay=7300},
					{alpha=1.0,scale=.82, duration=1800, style= "easeIn"},
					{scale=1.05, duration=18200},
					{alpha=0.0, duration=100}  )
--scene3
	bg_3:animate({delay=10500},
					{alpha=1.0, dx=-2, duration=1800, style= "easeIn"},
					{dx=-198, duration=18200, style = "easeInOut"})
	obj_3:animate({delay=11300},
					{alpha=1.0, duration=2800, style= "easeIn"} )

	-- do all the text and voice stuff
	aVignette:animate(
		{delay=500},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_10_0") end},
		{playAndWait = "VO_10_0:vignette_10"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_10_1") end},
		{playAndWait = "VO_10_1:vignette_10"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=2000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_10_2") end},
		{playAndWait = "VO_10_2:vignette_10"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1500},
		{call=function() aVignette:endVignette() end}
	)
			
end
-- End of Vignette 10

-- Vignette 11
function doVignette_11(aVignette)
	print( "doVignette_11" )

--	ghf.completeAnimations()
	
	-- create objects
	local	bg_1 = aVignette:newChildSprite({ scale= 2.5, x = -5, y = 32, image = "BG_01", section = "vignette_11", name = "templedoor", anchorpoint="topleft"})
	local	bg_2 = aVignette:newChildSprite({alpha=0.0, scale= 2.5, x = 801, y = 47, image = "BG_02", section = "vignette_11", name = "plane", anchorpoint="topright"})
	local	bg_3 = aVignette:newChildSprite({alpha=0.0, x = -2, y = 236, scale=1.74, image = "BG_03", section = "vignette_11", name = "clearboat", anchorpoint="left"})

	local	obj_1_1 = aVignette:newChildSprite({alpha=0.0, x = 600, y = 327, rotation= 11, image = "ITEM_01", section = "vignette_11", name = "documents", anchorpoint="center"})
	local	obj_1_2 = aVignette:newChildSprite({alpha=0.0, x = 297, y = 229, rotation= -6.7, image = "ITEM_02_2", section = "vignette_11", name = "notebook", anchorpoint="center"})
	local	obj_2_1 = aVignette:newChildSprite({alpha=0.0, x = 451, y = 461, image = "ITEM_01_1", section = "vignette_11", name = "sedative", anchorpoint="bottom"})
	local	obj_2_2 = aVignette:newChildSprite({alpha=0.0, x = 260, y = 199, scale= .737, image = "ITEM_02_1", section = "vignette_11", name = "dropper", anchorpoint="topleft"})

	
	-- set up z-order so everything is visible
	bg_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_1_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_1_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_2_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_2_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_3:moveBehind( scene:child("CINEMATICBORDER_TOP") )

--scene1
	bg_1:animate({alpha=1.0,scale=2.05, duration=20000, style= "easeInOut"})
	obj_1_1:animate({delay=1000},
					{alpha=1.0,dx=-2, duration=1800, style= "easeIn"},
					{dx=-70, duration=25200},
					{alpha=0.0, duration=100})
	obj_1_2:animate({delay=500},
					{alpha=1.0,dx=2, duration=1800, style= "easeIn"},
					{dx=78, duration=25200},
					{alpha=0.0, duration=100})
---scene2
	bg_2:animate(	{delay=8500},
					{alpha=1.0,scale=2.48, duration=1800, style= "easeIn"},
					{scale=2.05, duration=18200})
	obj_2_1:animate({delay=8900},
					{alpha=1.0,scale=1.02, duration=1800, style= "easeIn"},
					{scale=1.28, duration=18200},
					{alpha=0.0, duration=1000}  )
	obj_2_2:animate({delay=8900},
					{alpha=1.0,scale=.75, duration=1800, style= "easeIn"},
					{scale=1.05, duration=18200},
					{alpha=0.0, duration=1000}  )
--scene3
	bg_3:animate(	{delay=18000},
					{alpha=1.0, scale= 1.72, duration=1800, style= "easeInOut" },
					{scale=1.05, duration=18200, style="easeInOut"}  )

					-- do all the text and voice stuff
	aVignette:animate(
		{delay=300},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_11_0") end},
		{playAndWait = "VO_11_0:vignette_11"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=300},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_11_1") end},
		{playAndWait = "VO_11_1:vignette_11"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=1000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_11_2") end},
		{playAndWait = "VO_11_2:vignette_11"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=300},
		{call=function() aVignette:endVignette() end}
	)
			
end
-- End of Vignette 11

-- Vignette 12
function doVignette_12(aVignette)
	print( "doVignette_12" )

	--ghf.completeAnimations()
	
	-- create objects
	local	bg_1 = aVignette:newChildSprite({scale = 2.5, x = -1, y =302, image = "BG_01", section = "vignette_12", name = "background", anchorpoint="left"})
	local	obj_1 = aVignette:newChildSprite({scale= .85, alpha=0.0, x = 402, y = 490, image = "ITEM_01", section = "vignette_12", name = "Rubbing", anchorpoint="bottom"})
	local	bg_2 = aVignette:newChildSprite({alpha=0.0, scale= 1.25, x = -1, y = 238, image = "BG_02", section = "vignette_12", name = "clearboat", anchorpoint="left"})

	-- set up z-order so everything is visible
	bg_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	obj_1:moveBehind( scene:child("CINEMATICBORDER_TOP") )
	bg_2:moveBehind( scene:child("CINEMATICBORDER_TOP") )

	--scene1
	bg_1:animate(	{scale=2.04, duration=20000, style = "easeInOut"})
	obj_1:animate(	{scale=.97, duration=20200})
	obj_1:animate(	{delay=300},
					{alpha=1.0, duration=1800, style= "easeIn"})

	---scene2
	bg_2:animate(	{delay=13500},
					{scale=1.05, duration=20000})
	bg_2:animate(	{delay=13500},
					{alpha=1.0, duration=1500, style= "easeIn"})

-- do all the text and voice stuff
	aVignette:animate(
		{delay=300},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_12_0") end},
		{playAndWait = "VO_12_0:vignette_12"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=2000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_12_1") end},
		{playAndWait = "VO_12_1:vignette_12"},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{play = "BOAT:vignette_12"},
		{delay=1500},
		{call=function() aVignette:endVignette() end}
	)
			
end
-- End of Vignette 12

function doVignette_13(aVignette)	-- end scene with boat / Radimar in his lair
	print( "doVignette_13" )
	-- most of the end scene is done via c++, but we handle the voice and text here for consistency

	-- do all the text and voice stuff
	aVignette:animate(
		{delay=4500},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_12_2") end},
		{playAndWait = "VO_12_2:vignette_12"},	
		{delay=500},
		{call=function() endText(aVignette, "LABEL_TEXT") end},
		{delay=2000},
		{call=function() startText(aVignette, "LABEL_TEXT", "TEXT_VIGNETTE_12_3") end},
		{playAndWait = "VO_12_3:vignette_12"},	
		{delay=500},
		{call=function() endText(aVignette, "LABEL_TEXT") end}
	)
end
-- End of Vignette 13
